Skip to main content
GET
/
v2
/
access
/
users
/
:userId
/
stories
List user stories
curl --request GET \
  --url https://api.ofauth.com/v2/access/users/:userId/stories \
  --header 'apiKey: <api-key>' \
  --header 'x-connection-id: <api-key>'
[
  {
    "id": 123,
    "userId": 123,
    "isReady": true,
    "media": [
      {
        "id": 123,
        "type": "<string>",
        "convertedToVideo": true,
        "canView": true,
        "hasError": true,
        "isReady": true,
        "createdAt": "<string>",
        "duration": 123,
        "hasCustomPreview": true,
        "videoSources": {},
        "files": {
          "full": {
            "url": "<string>",
            "sources": [
              {
                "url": "<string>",
                "width": 123,
                "height": 123,
                "type": "<string>"
              }
            ],
            "width": 123,
            "height": 123,
            "size": 123
          },
          "thumb": {
            "url": "<string>",
            "width": 123,
            "height": 123,
            "size": 123
          },
          "preview": {
            "url": "<string>",
            "options": [
              {
                "url": "<string>",
                "width": 123,
                "height": 123,
                "type": "<string>"
              }
            ],
            "width": 123,
            "height": 123,
            "size": 123
          },
          "squarePreview": {
            "url": "<string>",
            "width": 123,
            "height": 123,
            "size": 123
          }
        }
      }
    ],
    "hasPost": true,
    "isWatched": true,
    "createdAt": "<string>",
    "question": null,
    "canLike": true,
    "isLiked": true
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.ofauth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
header
required

Your OFAuth API key for authenticating requests.

x-connection-id
string
header
required

Requires a connection via the x-connection-id header.

Path Parameters

userId
string
required

OnlyFans user ID

Pattern: ^\d+$

Response

Successful response

id
number
required
userId
number
required
isReady
boolean
required
media
object[]
required
hasPost
boolean
isWatched
boolean
createdAt
string | null
question
unknown
canLike
boolean
isLiked
boolean